# TdApi.OptionValue

Package it.ernytech.tdlib

## Class TdApi.OptionValue

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.OptionValue

Direct Known Subclasses:
  `TdApi.OptionValueBoolean`, `TdApi.OptionValueEmpty`, `TdApi.OptionValueInteger`, `TdApi.OptionValueString`

Enclosing class:
  TdApi

    public abstract static class TdApi.OptionValue
    extends TdApi.Object

This class is an abstract base class. Represents the value of an option.

### Constructor Summary

Constructors
`OptionValue()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### OptionValue

    public OptionValue()